DROP TABLE IF EXISTS Recipes;
DROP TABLE IF EXISTS Users;

CREATE TABLE Users (
  	id INT UNSIGNED AUTO_INCREMENT PRIMARY KEY,
	username VARCHAR(50) NOT NULL UNIQUE,
    pwd VARCHAR(64) NOT NULL
);

INSERT INTO Users(username, pwd) VALUES ("a", SHA2("a", 256));
INSERT INTO Users(username, pwd) VALUES ("b", SHA2("b", 256));
INSERT INTO Users(username, pwd) VALUES ("c", SHA2("c", 256));

CREATE TABLE Recipes(
	id INT UNSIGNED AUTO_INCREMENT PRIMARY KEY,
 	category TINYINT NOT NULL,
  	name VARCHAR(50) NOT NULL,
  	duration_hours INT NOT NULL,
	duration_minutes INT NOT NULL,
  	description VARCHAR(300) NOT NULL,
  	user_id INT UNSIGNED NOT NULL,

  	FOREIGN KEY (user_id) REFERENCES Users(id)
);

INSERT INTO Recipes(category, name, duration_hours, duration_minutes, description, user_id) VALUES (1, "dejeuner 1", 0, 20, "un bon petit dej", 1);
INSERT INTO Recipes(category, name, duration_hours, duration_minutes, description, user_id) VALUES (2, "diner 1", 1, 30, "miam miam", 1);
INSERT INTO Recipes(category, name, duration_hours, duration_minutes, description, user_id) VALUES (3, "souper 2", 6, 0, "on soupe de la soupe", 1);

INSERT INTO Recipes(category, name, duration_hours, duration_minutes, description, user_id) VALUES (2, "diner 2", 0,5, "description 2", 2);
INSERT INTO Recipes(category, name, duration_hours, duration_minutes, description, user_id) VALUES (3, "souper 2", 2, 25, "description 22", 2);
